<!DOCTYPE html>

<?php

	if(isset($_GET['poslato']))
	{

		 if(!isset($_GET['x1']) || !isset($_GET['x2']) || !isset($_GET['x3']) || !isset($_GET['y1']) || !isset($_GET['y2']) || !isset($_GET['y3']))
		 {
		 	$odgovor = "Neispravni parametri";
		 }

		 else
		 {

			$x1 = intval($_GET['x1']);
			$x2 = intval($_GET['x2']);
			$x3 = intval($_GET['x3']);

			$y1 = intval($_GET['y1']);
			$y2 = intval($_GET['y2']);
			$y3 = intval($_GET['y3']);

			$odgovor = $x1 * $y1 + $x2 * $y2 + $x3 * $y3;
		}
	}
	else
		$odgovor ="";

?>


<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>

	<form action="zahtev_na_istu_stranicu.php" onsubmit="return proveri_parametre()" method="GET">
	<label for="">X: </label>
		<input type="text" name="x1">
		<input type="text" name="x2">
		<input type="text" name="x3">

	<br>
	<br>

	<label for="">Y: </label>
		<input type="text" name="y1">
		<input type="text" name="y2">
		<input type="text" name="y3">

	<input type="submit" value="Izracunaj" name="poslato">

	<p id="odgovor"><?php echo $odgovor ?></p>

	</form>

	<script>
		
	function proveri_parametre()
	{
		var x1 = document.querySelector('input[name="x1"]').value;
		var x2 = document.querySelector('input[name="x2"]').value;
		var x3 = document.querySelector('input[name="x3"]').value;

		var y1 = document.querySelector('input[name="y1"]').value;
		var y2 = document.querySelector('input[name="y2"]').value;
		var y3 = document.querySelector('input[name="y3"]').value;

		if(x1.trim().length == 0 || x2.trim().length == 0 || x3.trim().length == 0 || y1.trim().length == 0 || y2.trim().length == 0 || y3.trim().length == 0)
		{
			document.querySelector("#odgovor").innerHTML = "Nisu sva polja popunjena";
			return false;
		}

		
		if(isNaN(x1) || isNaN(x2) || isNaN(x3) || isNaN(y1) || isNaN(y2) || isNaN(y3))
		{
			document.querySelector("#odgovor").innerHTML = "Neispravno popunjena polja";
			return false;
		}


		return true;
	}

	</script>

</body>
</html>
